New Search

Integer Overflow in X.509 Object Identifiers Vulnerability

oval:org.mitre.oval:def:6186

Integer overflow in the CryptoAPI component in Microsoft Windows 2000 SP4 Windows XP SP2 and SP3 Windows Server 2003 SP2 Windows Vista Gold SP1 and SP2 Windows Server 2008 Gold SP2 and R2 and Windows 7 allows man-in-the-middle attackers to spoof arbitrary SSL servers and other entities via an X.509 certificate that has a malformed ASN.1 Object Identifier (OID) and was issued by a legitimate Certification Authority aka "Integer Overflow in X.509 Object Identifiers Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows 2000
  • Microsoft Windows Server 2008 R2
Class:
vulnerability
Reference(s):
  • CVE-2009-2511
Product(s):
  • Microsoft ASN.1 Library